## org.apache.commons.collections
Interface KeyValue

All Known Implementing Classes:
  AbstractHashedMap.HashEntry, AbstractKeyValue, AbstractMapEntryDecorator, DefaultMapEntry, SingletonMap, TiedMapEntry

public interface KeyValue

Defines a simple key value pair.

A Map Entry has considerable additional semantics over and above a simple key-value pair. This interface defines the minimum key value, with just the two get methods.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/02/18 01:15:42 $
Author:
  Stephen Colebourne

Method Summary
`Object` `getKey()` Gets the key from the pair.
`Object` `getValue()` Gets the value from the pair.

Method Detail

### getKey

    public Object getKey()

  Gets the key from the pair.

  Returns:
    the key

### getValue

    public Object getValue()

  Gets the value from the pair.

  Returns:
    the value

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.